## Installation

### Get the software

#### Git

#### Manuel steps

* In the webroot create a subfolder "login_aai". 
* Extract the files there.

## Bring it up

This is the filestructure you get

```text

├── Readme.md
├── classes
│   :
│
├── config.php.dist      <<< config template
├── docs
│   :
│
├── functions.js         <<< Javascript
├── inc_functions.php
├── inc_mode_boxes.php   <<< View: boxes that can be filtered
├── inc_mode_wayf.php    <<< View: WAYF javascript from Switch
├── index.php
├── lang                 <<< folder with translation files (Json)
│   :
│
└── login_aai.css
```

* Copy **config.php.dist** to config.php and make your changes. See chapter Configuration.
* Do NOT protect this folder with Shibboleth that it can be accessed anonymous
* Set a Link for Login to `/login_aai/` where needed
* For local development see the pade "Development"

## Notes

The web ui offers just a frontend for your visitors to link multiple organisations.

That the logins at another IDP work you need to

* Create a Service provider on your AAI Federation
* Configure Shibboleth and whitelist the wanted IDPs
* For access from other federations (countries):
  * You and your partner need to enablle EDUGAIN.
  * The parter IDP must enable the domain of your website

Links:

* <https://en.wikipedia.org/wiki/Shibboleth_(software)>
* <https://met.refeds.org/>
